/***************************************************************************
                          modifierevent.h  -  description
                             -------------------
    begin                : Tue Nov 13 2001
    copyright            : (C) 2001 by Sheldon Lee Wen
    email                : tormak@home.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef MODIFIEREVENT_H
#define MODIFIEREVENT_H

#include "event.h"

class modifierEvent : public event {

public:
	modifierEvent(int iScope, bool iValue);
	modifierEvent(modifierEvent &srcEvt);
	~modifierEvent() {};
	int getScope() const;
	void setScope(int ns) { scope = ns; }
	bool getValue() const;
	void setValue(bool v) { value = v; }
	
protected:
  int scope;
  bool value;
};
	
#endif