/***************************************************************************
                          dataloader.h  -  description
                             -------------------
    begin                : Thu Nov 1 2001
    copyright            : (C) 2001 by Sheldon Lee-Wen
    email                : tormak@home.com
 ***************************************************************************/

/***************************************************************************
 *                                                                                           *
 *   This program is free software; you can redistribute it and/or modify       *
 *   it under the terms of the GNU General Public License as published by *
 *   the Free Software Foundation; either version 2 of the License, or         *
 *   (at your option) any later version.                                         *
 *                                                                                           *
 ***************************************************************************/

#ifndef DATALOADER_H
#define DATALOADER_H
#include "staticdata.h"
#include <string>
#include "dataloaderdata.h"

class dLoader {

public:
	dLoader();
	~dLoader();
	
	void* getTable(int tableType);
	int getextData(int attribute) const;	
	int* getextData(int attribute, int score) const;
	int* getRacialAttributeTable(int race, int gender);
	int* getAgeLevelTable(int agelevel);
	int* getHealthPointTable(int race);
	int* getDefenseRatingTable();
	string* getAttributeNameLookupTable();
	string* getGenderNameLookupTable();
	string* getRaceNameLookupTable();
	string* getAgeLevelNameLookupTable();
	string* getBodyNameLookupTable();				
private:
};

#endif