/***************************************************************************
                          eventlistener.h  -  description
                             -------------------
    begin                : Tue Nov 13 2001
    copyright            : (C) 2001 by Sheldon Lee Wen
    email                : tormak@home.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef EVENTLISTENER_H
#define EVENTLISTENER_H
 #include <vector.h>
 #include "event.h"
 #include "eventlistener.h"
 #include "eventgenerator.h"
 #include "staticdata.h"

//class event;
//class eventGenerator;

 /*****************************************************************************
 * event_listener - This class should not be instantiated.
 *
 * Base class for all event_listeners.  A listener class should be derived
 * for each event type that are to be handled.  All derived classes should
 * define a handle***Event() method to define how the event is to be dealt with
 */
 /*
class eventListener {

protected:

  EVENT_TYPE type;  // for keeping track of the type of listener

  // NEEDS to be defined in all derived classes
  // vector<event_generator *> ****Generators;

public:

  event_listener() { type = EVENT_UNDEFINED; }
  virtual ~event_listener() {};

  EVENT_TYPE getListenerType() { return type; }

  // NEEDS to be defined in derived classes
  // virtual void handle****Event()

 private:

  // NEED to be defined in derived classes
  // int  find****Generator(event_generator *g);
  // void add****Generator(event_generator *g);
  // void remove****Generator(event_generator *g);

  friend event_generator;

};
*/
/*
class eventListener {

public:

  eventListener() { type = EVENT_UNDEFINED; }
  virtual ~eventListener() {};

  EVENT_TYPE getListenerType() { return type; }
  virtual void handleEvent(event *evt) =0;

protected:

  EVENT_TYPE type;  // for keeping track of the type of listener
  vector<eventGenerator *> eventGenerators;

public:

  virtual int  findEventGenerator(eventGenerator *g) =0;
  virtual void addEventGenerator(eventGenerator *g) =0;
  virtual void removeEventGenerator(eventGenerator *g) =0;

  friend eventGenerator;

};
*/
#endif