/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed Oct 31 10:03:12 EST 2001
    copyright            : (C) 2001 by Sheldon Lee Wen
    email                : tormak@home.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "lycad_chargen.h"

//Just to see if my stuff is working
#include "race.h"
#include "staticdata.h"
#include "Attribute.h"
#include "bodyarea.h"
#include "Modifier.h"
#include "character.h"
#include "modifierevent.h"
#include "modifiereventgenerator.h"
#include "modifiereventlistener.h"
#include <stdio.h>
#include <unistd.h>

int main(int argc, char *argv[])
{  // Initialize the random number system.
   srand(time((time_t *)0));

/*
  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 12));
  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
  tor.load( QString("lycad_chargen.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );
  */
  /* uncomment the following line, if you want a Windows 95 look*/
  // a.setStyle(WindowsStyle);
/*
  LCharGen *lycad_chargen=new LCharGen();
  a.setMainWidget(lycad_chargen);

  lycad_chargen->show();

  return a.exec();
  */

  cout << "Testing rolling attributes!\n";
  char decision= 'y';
  int rtype, gtype;

  cout << " Choose a race: " << endl;
  cout << "Arakasha  0" << endl;
  cout << "Asura 1" << endl;
  cout << "Belox 2" << endl;
  cout << "Chahannawashea 3" << endl;
  cout << "Culgan 4" << endl;
  cout << "Human 5" << endl;
  cout << "Kinn 6" << endl;
  cout << "Midian 7" << endl;
  cout << "Rocc 8" << endl;
  cout << "Sivakxy 9" << endl;
  cout << "Vorlex 10" << endl;
  cout << endl << "Enter a Race number: ";
  cin >> rtype;
  cout << endl << "Enter a Gender, Male 0, Female 1 :";
  cin >> gtype;

  Character c(rtype, gtype);

  while (decision == 'y') {
   c.rollAttributes();
   cout << c.getRaceName() << " has the following attributes:" << endl;
   cout << "WillPower = " << c.attributes[WILLPOWER]->getMagnitude() << endl;
   cout << "Strength = " << c.attributes[STRENGTH]->getMagnitude() << endl;
   cout << "Intelligence = " << c.attributes[INTELLIGENCE]->getMagnitude() << endl;
   cout << "Wit = " << c.attributes[WIT]->getMagnitude() << endl;
   cout << "Dexterity = " << c.attributes[DEXTERITY]->getMagnitude() << endl;
   cout << "Constitution = " << c.attributes[CONSTITUTION]->getMagnitude() << endl;
   cout << "Appearance = " << c.attributes[APPEARANCE]->getMagnitude() << endl;
   cout << "Personality = " << c.attributes[PERSONALITY]->getMagnitude() << endl;
   cout << "Movement = " << c.attributes[MOVEMENT]->getMagnitude() << endl;
   cout << "Defense Rating = " << c.getDefenseRating() << endl;
   cout << "HealthPoints" << endl;
   cout << "Head = " << c.hp[BODY_HEAD].getMagnitude() << endl;
   cout << "Torso = " << c.hp[BODY_TORSO].getMagnitude() << endl;
   cout << "Left Arm = " << c.hp[BODY_LEFT_ARM].getMagnitude() << endl;
   cout << "Right Arm = " << c.hp[BODY_RIGHT_ARM].getMagnitude() << endl;
   cout << "Left Leg = " << c.hp[BODY_LEFT_LEG].getMagnitude() << endl;
   cout << "Right Leg = " << c.hp[BODY_RIGHT_LEG].getMagnitude() << endl;
   cout << "Do you want to reroll? ";
   cin >> decision;
 }

 /*
  const int COMBAT_SCOPE = 1;
  const int DAY_SCOPE = 4;
  const int NIGHT_SCOPE = 5;
  const int MAGIC_SCOPE = 2;

  Modifier testMod(5,COMBAT_SCOPE, false);
  Modifier testMod2(6,DAY_SCOPE, false);
  Modifier testMod3(2,NIGHT_SCOPE,true);

  Attribute attrib(STRENGTH, 5);
  Attribute attrib2(INTELLIGENCE, 8);
   attrib.addModifier(&testMod);
   attrib.addModifier(&testMod2);
   attrib2.addModifier(&testMod3);
   attrib.print_out();
   attrib2.print_out();
   cout << " attrib = attrib2 " << endl << "Result:" << endl;
   attrib = attrib2;
   attrib.print_out();
   attrib2.print_out();
cout << endl << endl;
   BodyArea b1(BODY_HEAD, 8);
   BodyArea b2(BODY_LEFT_ARM, 15);
   b1.addModifier(&testMod);
   b1.addModifier(&testMod2);
   b2.addModifier(&testMod3);
   b1.print_out();
   b2.print_out();
   cout << " b1 = b2 " << endl << "Result:" << endl;
   b1 = b2;
   b1.print_out();
   b2.print_out();        */
//cout << endl << endl;
/*
  Race r1(ASURA, FEMALE);
  Race r2(ARAKASHA,MALE);
  r1.print_out();
  r2.print_out();
  cout << " r1 = r2 " << endl << "Result:" << endl;
  r1=r2;
  r1.print_out();
  r2.print_out();
  cout << endl;
  Character c(ASURA,FEMALE);
  c.print_out();

  cout << "trying again" << endl;
  Character c2(r1);
  c2.print_out();
  cout << endl; */
/*
  cout << "WP mod = " << myRace.getAttributeBonus(WILLPOWER) << endl;
  cout << "Str mod = " << myRace.getAttributeBonus(STRENGTH) << endl;
  cout << "STR = " << attrib.roll(myRace) << endl;
  cout << "Int mod = " << myRace.getAttributeBonus(INTELLIGENCE) << endl;
  cout << "Wit mod = " << myRace.getAttributeBonus(WIT) << endl;
  cout << "Dex mod = " << myRace.getAttributeBonus(DEXTERITY) << endl;
  cout << "Con mod = " << myRace.getAttributeBonus(CONSTITUTION) << endl;
  cout << "App mod = " << myRace.getAttributeBonus(APPEARANCE) << endl;
  cout << "Per mod = " << myRace.getAttributeBonus(PERSONALITY) << endl;
  cout << "Mv mod = " << myRace.getAttributeBonus(MOVEMENT) << endl;
  cout << "DR = " << myRace.getDefenseRating() << endl;
  cout << "BDR = " << myRace.getBaseDefenseRating() << endl;

  cout << "Attribute name " << attrib.getName() << endl;

  printf ("There are %d modifiers\n", attrib.numModifiers());
  printf ("getMagnitude = %d\n",attrib.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  cout << endl;

  cout << "Test with testMod. Mag = 5, scope = true\n";
  cout << "Modifier is in scope: " << testMod.inScope() << endl;
  printf ("Adding Modifier of value %d\n",testMod.getValue());
  attrib.addModifier(&testMod);
  printf ("There are %d modifiers\n", attrib.numModifiers());
  printf ("getMagnitude = %d\n",attrib.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("modifying the scope to true(%d)\n", testMod.setScope(COMBAT_SCOPE,true));
  printf ("getMagnitude = %d\n",attrib.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  cout << endl;

  cout << "Test with testMod2. Mag = 6, scope = true\n";
  cout << "Modifier is in scope: " << testMod2.inScope() << endl;
  printf ("Adding Modifier of value %d\n",testMod2.getValue());
  attrib.addModifier(&testMod2);
  printf ("There are %d modifiers\n", attrib.numModifiers());
  printf ("getMagnitude = %d\n",attrib.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("modifying the scope to true(%d)\n", testMod2.setScope(DAY_SCOPE,true));
  printf ("getMagnitude = %d\n",attrib.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());

  cout << endl;

  cout << "Test with testMod3. Mag = 2, scope = false\n";
  cout << "Modifier is in scope: " << testMod3.inScope() << endl;
  printf ("Adding Modifier of value %d\n",testMod3.getValue());
  attrib.addModifier(&testMod3);
  printf ("There are %d modifiers\n", attrib.numModifiers());
  printf ("getMagnitude = %d\n",attrib.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("modifying the scope of testMod3 to (5,false) to false(%d)\n", testMod3.setScope(5,false));
  printf ("getMagnitude = %d\n",attrib.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());

  cout << endl;
  Attribute* attribPtr = &attrib;

  cout << "With all modifiers.\n";
  printf ("getModifiedMagnitude() = %d\n",attribPtr->getModifiedMagnitude());
//  printf ("getModifiedMagnitude(5) = %d\n",attribPtr->getModifiedMagnitude(5));
//  printf ("setMagnitude() = %d\n", attribPtr->setMagnitude());
//  printf ("setMagnitude(10) = %d\n", attribPtr->setMagnitude(10));
  cout << endl;

  printf ("Removing Modifier testMod\n");
  attrib.removeModifier(&testMod);
  printf ("There are %d modifiers\n", attrib.numModifiers());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  cout << endl;

  printf ("Removing Modifier testMod3\n");
  attrib.removeModifier(&testMod3);
  printf ("There are %d modifiers\n", attrib.numModifiers());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  cout << endl;

  printf ("Removing Modifier testMod2\n");
  attrib.removeModifier(&testMod2);
  printf ("There are %d modifiers\n", attrib.numModifiers());
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());

  cout << endl;
  cout << "Testing other Modifier functions\n";

  attrib.addModifier(&testMod);
  printf ("There are %d modifiers\n", attrib.numModifiers());

  printf ("testMod adding the NIGHT_SCOPE\n");
  testMod.addScope(NIGHT_SCOPE, false);
  cout << "modifying the COMBAT_SCOPE to false: " << testMod.setScope(COMBAT_SCOPE,false) << endl;
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("modifying the NIGHT_SCOPE to true(%d)\n", testMod.setScope(NIGHT_SCOPE,true));
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("modifying the NIGHT_SCOPE to false(%d)\n", testMod.setScope(NIGHT_SCOPE,false));
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("modifying the COMBAT_SCOPE to true(%d)\n", testMod.setScope(COMBAT_SCOPE,true));
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("testMod adding the MAGIC_SCOPE, setting all to false\n");
  testMod.addScope(MAGIC_SCOPE, false);
  testMod.setScope(COMBAT_SCOPE,false);
  testMod.setScope(NIGHT_SCOPE,false);
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());
  printf ("modifying the MAGIC_SCOPE to true(%d)\n", testMod.setScope(MAGIC_SCOPE,true));
  printf ("getModifiedMagnitude() = %d\n",attrib.getModifiedMagnitude());

  cout << endl << endl << endl << "-------------------------------------------------------------" << endl;
  cout << "Testing modifier event system\n";

  Modifier *testMod4 = new Modifier(5,COMBAT_SCOPE, false);
  Attribute attrib3(STRENGTH, 2);
  modifierGenerator gen;
  gen.addModifierListener(testMod4);

  modifierEvent evt3(COMBAT_SCOPE, true);

  cout << "Attribute name " << attrib3.getName() << endl;
  printf ("There are %d modifiers\n", attrib3.numModifiers());
  printf ("getMagnitude = %d\n",attrib3.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib3.getModifiedMagnitude());
  cout << endl;

  cout << "Test with testMod4. Mag = 5, scope = false\n";
  cout << "Modifier is in scope: " << testMod4->inScope() << endl;
  printf ("Adding Modifier of value %d\n",testMod4->getValue());
  attrib3.addModifier(testMod4);
  printf ("There are %d modifiers\n", attrib3.numModifiers());
  printf ("getMagnitude = %d\n",attrib3.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib3.getModifiedMagnitude());
  cout << "Firing a COMBAT_SCOPE = true event" << endl;
  gen.fireModifierEvent(evt3);
  cout << "Modifier is in scope: " << testMod4->inScope() << endl;
  printf ("getMagnitude = %d\n",attrib3.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib3.getModifiedMagnitude());
  cout << endl;
  attrib3.removeModifier(testMod4);
  gen.fireModifierEvent(evt3);
  cout << "Modifier is in scope: " << testMod4->inScope() << endl;
  printf ("getMagnitude = %d\n",attrib3.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib3.getModifiedMagnitude());
  cout << endl;
  cout << "Destructing the modifier" << endl;
  delete(testMod4);
  testMod4 = new Modifier(8, COMBAT_SCOPE, false);
  gen.addModifierListener(testMod4);
  attrib3.addModifier(testMod4);
  printf ("There are %d modifiers\n", attrib3.numModifiers());
  printf ("getMagnitude = %d\n",attrib3.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib3.getModifiedMagnitude());
  cout << "Firing a COMBAT_SCOPE = true event" << endl;
  gen.fireModifierEvent(evt3);
  printf ("getMagnitude = %d\n",attrib3.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib3.getModifiedMagnitude());
  evt3.setValue(false);
  gen.fireModifierEvent(evt3);
  printf ("getMagnitude = %d\n",attrib3.getMagnitude());
  printf ("getModifiedMagnitude() = %d\n",attrib3.getModifiedMagnitude());
  */
}
