/***************************************************************************
                          modifierevent.cpp  -  description
                             -------------------
    begin                : Tue Nov 13 2001
    copyright            : (C) 2001 by Sheldon Lee Wen
    email                : tormak@home.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "modifierevent.h"

modifierEvent::modifierEvent(int iScope, bool iValue){
  type = EVENT_MODIFIER;
  value = iValue;
  source = NULL;
  scope = iScope;
}

modifierEvent::modifierEvent(modifierEvent &srcEvt){
  type = srcEvt.type;
  source = srcEvt.getSource();
  value = srcEvt.value;
  scope = srcEvt.scope;
}

int modifierEvent::getScope() const {
  return (scope);
}
	
bool modifierEvent::getValue() const {
  return (value);
}
